edu.ucsb.nceas.metacat.harvesterClient

## Class MetUpload

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - edu.ucsb.nceas.metacat.harvesterClient.MetUpload

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class MetUpload
      extends javax.servlet.http.HttpServlet

  MetUpload implements a Harvester servlet to insert, update, or delete a single file to Metacat.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetUpload()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Handle POST requests made to the Harvester MetUpload servlet.
    `void` | `init(javax.servlet.ServletConfig config)` Initializes the servlet.

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetUpload

          public MetUpload()

  - ### Method Detail

    - #### doPost

          public void doPost(javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res)
                      throws java.io.IOException

      Handle POST requests made to the Harvester MetUpload servlet.
      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`
      Parameters:
        `req` - The request
        `res` - The response
      Throws:
        `java.io.IOException`

    - #### init

          public void init(javax.servlet.ServletConfig config)
                    throws javax.servlet.ServletException

      Initializes the servlet. Reads properties and initializes object fields.
      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Throws:
        `javax.servlet.ServletException`

Copyright © 2020 Regents of the University of California. All Rights Reserved.